"""5.0 refactor_table_config

Revision ID: 3be3fcec8d38
Revises: 226992705175
Create Date: 2019-03-28 18:33:16.112561

"""

# revision identifiers, used by Alembic.
revision = "3be3fcec8d38"
down_revision = "226992705175"

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql


def update_database_structure():
    ### commands auto generated by Alembic - please adjust! ###
    op.execute("delete from config where config_app != 'autonomie'")
    op.alter_column(
        "config",
        "config_name",
        nullable=False,
        new_column_name="name",
        existing_type=sa.String(255),
    )
    op.alter_column(
        "config",
        "config_value",
        nullable=False,
        new_column_name="value",
        existing_type=sa.Text(),
    )
    op.execute("alter table config drop PRIMARY KEY")
    op.execute("alter table config ADD PRIMARY KEY(name)")
    op.drop_column("config", "config_app")
    ### end Alembic commands ###


def migrate_datas():
    from endi_base.models.base import DBSESSION

    session = DBSESSION()
    from alembic.context import get_bind

    conn = get_bind()


def upgrade():
    update_database_structure()
    migrate_datas()


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
