"""5.1.2 Changed most of SaleProductTraining attributes type

Revision ID: 6fb9c80c6fe3
Revises: f81ecd97d8b0
Create Date: 2019-11-08 14:53:04.372004

"""

# revision identifiers, used by Alembic.
revision = "6fb9c80c6fe3"
down_revision = "f81ecd97d8b0"

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql


def update_database_structure():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "sale_product_training",
        "goals",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "prerequisites",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "for_who",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "duration",
        existing_type=mysql.VARCHAR(length=255),
        type__=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "content",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "teaching_method",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "logistics_means",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "more_stuff",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "evaluation",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "place",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "date",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "price",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "free_1",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "free_2",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "free_3",
        existing_type=mysql.VARCHAR(length=255),
        type_=sa.Text(),
        existing_nullable=True,
    ),
    # ### end Alembic commands ###


def migrate_datas():
    from endi_base.models.base import DBSESSION

    session = DBSESSION()
    from alembic.context import get_bind

    conn = get_bind()


def upgrade():
    update_database_structure()
    migrate_datas()


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.alter_column(
        "sale_product_training",
        "goals",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "prerequisites",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "for_who",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "duration",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "content",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "teaching_method",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "logistics_means",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "more_stuff",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "evaluation",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "place",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "date",
        existing_type=sa.Text(),
        type=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "price",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "free_1",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "free_2",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    op.alter_column(
        "sale_product_training",
        "free_3",
        existing_type=sa.Text(),
        type_=mysql.VARCHAR(length=255),
        existing_nullable=True,
    ),
    # ### end Alembic commands ###
