"""6.2.0 ref_2738 ajout d'une colonne invoiced_mode

Revision ID: 1ad5591c5c90
Revises: 0b53f2d72d08
Create Date: 2021-06-21 15:53:35.833081

"""

# revision identifiers, used by Alembic.
revision = "1ad5591c5c90"
down_revision = "0b53f2d72d08"

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql


def update_database_structure():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("base_statistic_criterion")
    op.add_column(
        "cancelinvoice",
        sa.Column("invoicing_mode", sa.String(length=20), nullable=True),
    )
    # ### end Alembic commands ###


def migrate_datas():
    from alembic.context import get_bind
    from zope.sqlalchemy import mark_changed
    from endi_base.models.base import DBSESSION

    session = DBSESSION()
    conn = get_bind()

    mark_changed(session)
    session.flush()


def upgrade():
    update_database_structure()
    migrate_datas()


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("cancelinvoice", "invoicing_mode")
    # ### end Alembic commands ###
